## gsound 1.0.3

=== meson_options.txt ===
option(
  'gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Generate API reference using GTK-Doc'
)
option(
  'introspection',
  type: 'boolean',
  value: true,
  description: 'Generate GObject Introspection data'
)
option(
  'enable_vala',
  type: 'boolean',
  value: true,
  description: 'Build vala tools and VAPI'
)

## gsound 1.0.1

=== debian/changelog ===
gsound (1.0.1-0ubuntu2) wily; urgency=medium

  * debian/control:
    - Add build-depends on gobject-introspection
  * debian/rules:
    - Use dh_girepository
  * debian/patches/vapi-deps.patch:
    - Don't require libcanberra headers to be installed

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 21 Jul 2015 09:33:04 +1200

gsound (1.0.1-0ubuntu1) wily; urgency=low

  * Initial release.

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 29 Jun 2015 10:17:44 +1200

=== debian/control ===
Source: gsound
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Homepage: https://wiki.gnome.org/Projects/GSound
Standards-Version: 3.9.6
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               valac (>= 0.17.2.12),
               gtk-doc-tools (>= 1.20),
               libglib2.0-dev (>= 2.36.0),
               libcanberra-dev,
               gobject-introspection,
               libgirepository1.0-dev (>= 1.2.9)

Package: gsound-tools
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GObject library for playing system sounds (tools).
 GSound is a GObject library for playing system sounds. It is intended to be
 used via GObject Introspection, and is a thin wrapper around the libcanberra
 C library.
 .
 This package contains tools for use with GSound.

Package: libgsound0
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: GObject library for playing system sounds.
 GSound is a GObject library for playing system sounds. It is intended to be
 used via GObject Introspection, and is a thin wrapper around the libcanberra
 C library.
 .
 This package contains the shared library.

Package: libgsound-dev
Section: libdevel
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         libgsound0 (= ${binary:Version}),
         gir1.2-gsound-1.0 (= ${binary:Version})
Description: GObject library for playing system sounds (devel).
 GSound is a GObject library for playing system sounds. It is intended to be
 used via GObject Introspection, and is a thin wrapper around the libcanberra
 C library.
 .
 This package contains the static library and development headers.

Package: gir1.2-gsound-1.0
Section: introspection
Architecture: any
Multi-arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: GObject library for playing system sounds (gir bindings).
 GSound is a GObject library for playing system sounds. It is intended to be
 used via GObject Introspection, and is a thin wrapper around the libcanberra
 C library.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=autoreconf,gir

=== debian/watch ===
version=3
http://ftp.gnome.org/pub/GNOME/sources/gsound/([\d\.]+[02468])/ \
	gsound-(.*)\.tar\.xz

## gsound 1.0.2

=== debian/changelog ===
gsound (1.0.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Nov 2015 18:59:52 +0100

gsound (1.0.1-3) unstable; urgency=medium

  * debian/control.in: Add Multi-arch fields
  * debian/control.in: Rename the gsound package binary to gsound-tools

 -- Laurent Bigonville <bigon@debian.org>  Mon, 07 Sep 2015 00:08:33 +0200

gsound (1.0.1-2) unstable; urgency=medium

  * debian/libgsound0.symbols: Add a .symbols file
  * debian/rules, debian/control.in: Call dh_girepository during the build
  * debian/control.in: Fix the duplicated descriptions
  * debian/control.in: Move the shared library to the libs section
  * debian/control.in: Make the -dev package depends against the gir one per
    our own g-i mini policy

 -- Laurent Bigonville <bigon@debian.org>  Sun, 06 Sep 2015 20:51:16 +0200

gsound (1.0.1-1) unstable; urgency=low

  * Initial release

 -- Andreas Henriksson <andreas@fatal.se>  Wed, 19 Aug 2015 20:01:38 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gsound
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 9),
               gnome-pkg-tools,
               gobject-introspection,
               intltool (>= 0.50.1),
               libcanberra-dev,
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.36),
               pkg-config (>= 0.22),
               valac
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gsound
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gsound
Homepage: https://wiki.gnome.org/Projects/GSound

Package: gsound-tools
Architecture: any
Multi-arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: gsound (<< 1.0.1-3~)
Replaces: gsound (<< 1.0.1-3~)
Description: small library for playing system sounds (tools)
 GSound is a small library for playing system sounds. It's designed to
 be used via GObject Introspection, and is a thin wrapper around the
 libcanberra C library.
 .
 This package contains tools for use with GSound.

Package: libgsound0
Architecture: any
Multi-arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small library for playing system sounds
 GSound is a small library for playing system sounds. It's designed to
 be used via GObject Introspection, and is a thin wrapper around the
 libcanberra C library.
 .
 This package contains the shared library.

Package: libgsound-dev
Architecture: any
Multi-arch: same
Section: libdevel
Depends: gir1.2-gsound-1.0 (= ${binary:Version}),
         libcanberra-dev,
         libgsound0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: small library for playing system sounds (devel)
 GSound is a small library for playing system sounds. It's designed to
 be used via GObject Introspection, and is a thin wrapper around the
 libcanberra C library.
 .
 This package contains the static library and development headers.

Package: libgsound-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: small library for playing system sounds (documentation)
 GSound is a small library for playing system sounds. It's designed to
 be used via GObject Introspection, and is a thin wrapper around the
 libcanberra C library.
 .
 This package contains the documentation.

Package: gir1.2-gsound-1.0
Architecture: any
Multi-arch: same
Section: introspection
Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
Description: small library for playing system sounds (gir bindings)
 GSound is a small library for playing system sounds. It's designed to
 be used via GObject Introspection, and is a thin wrapper around the
 libcanberra C library.
 .
 This package can be used by other packages using the GIRepository format to
 generate dynamic bindings.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

%:
	dh $@ --with gir

override_dh_auto_configure:
	dh_auto_configure -- --disable-silent-rules

=== debian/watch ===
version=3
http://download.gnome.org/sources/gsound/([0-9.]+[02468])/gsound-([0-9.]+)\.tar\.xz

## gsound 1.0.3

=== debian/changelog ===
gsound (1.0.3-2) unstable; urgency=medium

  * Have libgsound-dev depend on libcanberra-dev & libglib2.0-dev
    per its pkgconfig file. Thanks Adrian Bunk for reporting.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 17:12:56 -0400

gsound (1.0.3-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * Build with meson (Closes: #978827)
  * debian/gsound-tools.install: Install manpage
  * Bump debhelper-compat to 13
  * Drop unneeded -Wl,--as-needed

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 13:07:44 -0400

gsound (1.0.2-5) unstable; urgency=medium

  * Team upload.

  [ Jeremy Bicha ]
  * Bump minimum debhelper to 12 for the dh-sequence feature

  [ Andreas Henriksson ]
  * Add patch to fix autoreconf problem (Closes: #976518)
  * Use debhelper-compat (= 12) build-dependency
  * Set upstream metadata fields: Bug-Database, Bug-Submit, 
    Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 05 Jan 2021 00:57:58 +0100

gsound (1.0.2-4) unstable; urgency=medium

  * debian/copyright: Update. Thanks Didier Roche for the review.
  * Set dh_missing --fail-missing
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * Drop unused Build-Depends on intltool
  * Cherry-pick gsound-play-Call-setlocale-ini-main-function.patch:
    - Fix translation issue

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 12 Feb 2019 06:33:10 -0500

gsound (1.0.2-3) unstable; urgency=medium

  [ Robert Ancell ]
  * Drop unnecessary Depends from libgsound-dev on libcanberra-dev

  [ Jeremy Bicha ]
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 -Wl,-z,defs -Wl,--as-needed to our LDFLAGS
  * debian/libgsound0.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 19:58:35 -0500

gsound (1.0.2-2) unstable; urgency=medium

  [ Michael Biebl ]
  * Drop uploaders.mk from debian/rules as this breaks the clean target with
    dh. Instead use the gnome dh addon which updates debian/control via
    dh_gnome_clean.
  * Drop --disable-silent-rules from debian/rules. This is now handled by dh
    directly depending on whether the DH_QUIET environment variable is set.

  [ Jeremy Bicha ]
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2
  * Bump debhelper compat to 11
  * Update Multi-Arch metadata

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Dec 2017 22:17:12 -0500

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,30 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gsound
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Henriksson <andreas@fatal.se>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
-Build-Depends: debhelper (>= 9),
-               gnome-pkg-tools,
-               gobject-introspection,
-               intltool (>= 0.50.1),
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
+               gtk-doc-tools,
                libcanberra-dev,
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.36),
+               meson,
                pkg-config (>= 0.22),
                valac
-Standards-Version: 3.9.6
-Vcs-Svn: svn://anonscm.debian.org/pkg-gnome/packages/unstable/gsound
-Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-gnome/packages/unstable/gsound
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/gnome-team/gsound
+Vcs-Git: https://salsa.debian.org/gnome-team/gsound.git
 Homepage: https://wiki.gnome.org/Projects/GSound
 
 Package: gsound-tools
 Architecture: any
-Multi-arch: foreign
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: gsound (<< 1.0.1-3~)
 Replaces: gsound (<< 1.0.1-3~)
@@ -36,7 +37,7 @@
 
 Package: libgsound0
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: small library for playing system sounds
@@ -48,10 +49,11 @@
 
 Package: libgsound-dev
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Section: libdevel
 Depends: gir1.2-gsound-1.0 (= ${binary:Version}),
          libcanberra-dev,
+         libglib2.0-dev,
          libgsound0 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
@@ -64,6 +66,7 @@
 
 Package: libgsound-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: small library for playing system sounds (documentation)
@@ -75,7 +78,7 @@
 
 Package: gir1.2-gsound-1.0
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Section: introspection
 Depends: ${gir:Depends}, ${misc:Depends}, ${shlibs:Depends}
 Description: small library for playing system sounds (gir bindings)

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -Dgtk_doc=true
